{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Set Quiz Questions
{% endblock %}


{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Set Quiz Questions
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for course in courseList %}
                        <li {% if staffCourseInstance.pk == course.staffCourseInstance.pk %}class="active" {% else %}
                            class="" {% endif %}>
                            <a aria-expanded="true"
                               id={{ course.staffCourseInstance.pk }}
                                       data-toggle="tab" name="courseTab"
                               onmouseover="$(this).css('cursor', 'pointer')">
                                {{ course.displayText }}

                            </a>
                        </li>
                    {% endfor %}
                </ul>
            </div>
        </div>

        <div id="wizard" class="form_wizard wizard_horizontal">
            <ul class="wizard_steps anchor">
                <li>
                    <a id="h1" class="selected" isdone="1" rel="1">
                        <span class="step_no">1</span>
                        <span class="step_descr">
                                              Step 1<br>
                                          </span>
                    </a>
                </li>
                <li>
                    <a id="h2" class="done" isdone="1" rel="2">
                        <span class="step_no">2</span>
                        <span class="step_descr">
                                              Step 2<br>

                                          </span>
                    </a>
                </li>
                <li>
                    <a id="h3" class="done" isdone="1" rel="3">
                        <span class="step_no">3</span>
                        <span class="step_descr">
                                              Step 3<br>
                                          </span>
                    </a>
                </li>
            </ul>


            <div class="" style="height: 288px;">
                <div id="step-1" class="content" style="display: block;">
                    <h2 class="StepTitle"></h2>
                    <br><br>
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="form-horizontal form-label-left">
                                <form id="formOne">
                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                            Unit Test
                                        </label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <select class="form-control" id="unitTestSelection"
                                                    required>
                                                <option value="" disabled selected>Choose Quiz</option>
                                                <option value="1">QUIZ I</option>
                                                <option value="2">QUIZ II</option>
                                                <option value="3">QUIZ III</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div id="getQuestionsDiv" style="display: none">
                                        <div class="form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                                No. of Questions
                                            </label>
                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                <input class="form-control" type="number"
                                                       id="totalQuestions" min="4" required>
                                            </div>
                                        </div>

                                        <div class="form-group">
                                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                            </label>
                                            <div class="col-md-6 col-sm-6 col-xs-12">
                                                <button id="add" type="submit" class="btn1 btn-purple">Submit
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="alertField" align="center" style="display: none">
                                        <div class="alert alert-warning" role="alert" align="center">
                                            <h4 style="font-size: 18px"> You have already set the quiz
                                                questions </h4>

                                        </div>
                                        <button type="button" id="setQuizTime" class="btn1 btn1-default ">
                                            Set Quiz Time
                                        </button>
                                        <button type="button" id="activateQuiz" class="btn1 btn1-info">
                                            Activate Quiz
                                        </button>
                                        <button type="button" id="deactivateQuiz" class="btn1 btn-orange"
                                                data-toggle="modal"
                                                data-target="#deactivateConfirmationModal">
                                            Deactivate Quiz
                                        </button>
                                        <button type="button" class="btn1 btn-cyan" id="view_pattern">
                                            View
                                        </button>
                                        <button type="button" class="btn1 btn1-danger" data-toggle="modal"
                                                data-target="#deleteConfirmationModal">
                                            Delete
                                        </button>
                                    </div>
                                    <div class="modal fade" id="deactivateConfirmationModal" tabindex="-1"
                                         role="dialog" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal"
                                                            aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                    <h4 class="modal-title">Deactivation Confirmation</h4>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-8 col-md-offset-2">
                                                        <div>
                                                            <h3 style="font-size: 18px">
                                                                <ul>
                                                                    <li>
                                                                        Are you sure deactivate the quiz?
                                                                    </li>
                                                                </ul>
                                                            </h3>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn1 btn1-secondary"
                                                            data-dismiss="modal">Close
                                                    </button>
                                                    <button type="button" id="confirmQuizDeactivation"
                                                            class="btn1 btn-deep-orange"
                                                            data-dismiss="modal">Confirm Deactivation
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal fade" id="deleteConfirmationModal" tabindex="-1"
                                         role="dialog" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal"
                                                            aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                    <h4 class="modal-title">Delete Confirmation</h4>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-8 col-md-offset-2">
                                                        <div>
                                                            <h4 style="font-size: 18px; color: red"><strong>Oh
                                                                snap!</strong>
                                                                <br><br>This will delete this pattern and student
                                                                attended the quiz
                                                                <br><br>And this is unrecoverable process
                                                            </h4>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn1 btn1-secondary"
                                                            data-dismiss="modal">Close
                                                    </button>
                                                    <button id="deletepattern" type="button"
                                                            class="btn btn-danger"
                                                            data-dismiss="modal">Confirm Delete
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="step-2" class="content" style="display: none;">
                    <br>
                    <h2 class="StepTitle" align="center">Enter the no. of Options for each Question</h2>
                    <br><br>
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="form-horizontal form-label-left">
                                <form id="formTwo">
                                    <div id="subDivision">

                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="step-3" class="content" style="display: none;">
                    <h2 class="StepTitle"></h2>
                    <br><br>
                    <div class="row">
                        <div class="col-md-12 col-sm-12 col-xs-12">
                            <div class="form-horizontal form-label-left">
                                <form id="formThree" method="POST">
                                    <div id="quizContents">

                                    </div>
                                    <div class="modal fade" id="confirmModal" tabindex="-1"
                                         role="dialog" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="close" data-dismiss="modal"
                                                            aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                    <h4 class="modal-title">Confirm Submission</h4>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-8 col-md-offset-2">
                                                        <h3>
                                                            Are you sure to set the pattern?
                                                        </h3>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn1 btn1-secondary"
                                                            data-dismiss="modal">Close
                                                    </button>
                                                    <button id="submit" type="button" class="btn1 btn-indigo"
                                                            data-dismiss="modal">Set Pattern
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <form id="deleteForm" method="POST">
        {% csrf_token %}
    </form>

    <form id="submitForm" method="POST">
        {% csrf_token %}
    </form>
    <form id="quizTimeForm" method="POST">
        {% csrf_token %}
    </form>
    <form id="save_form" method="POST">
        {% csrf_token %}
    </form>

    <form id="dummyForm" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="courseTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'staffCoursePk'});
                $hiddenInput.appendTo('#dummyForm');

                $('#dummyForm').submit();

            });
        });

    </script>

    <script type="text/javascript">

        function isNumberKey(evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode != 46 && charCode > 31
                && (charCode < 48 || charCode > 57))
                return false;
            return true;
        }

        $(document).on("submit", '#formOne', function (e) {
            var totalQuestions = $('#totalQuestions').val();
            e.preventDefault();
            $('#add').hide();
            $('#totalQuestions').prop('disabled', true);

            $('#step-1').hide();
            $('#step-2').show();
            $('#h2').addClass('selected').removeClass('done');
            $('#h1').addClass('done').removeClass('selected');

            counter = 1;
            for (; counter <= parseInt(totalQuestions); counter++) {
                document.getElementById('subDivision').innerHTML += '' +
                    '<div class="form-group">' +
                    '<label class="control-label col-md-3 col-sm-3 col-xs-12">Question ' + counter + '</label>' +
                    '<div class="col-md-6 col-sm-6 col-xs-12">' +
                    '<input class="form-control" type="number" value="4" id="subQuestion-' + counter + '" min="2" max="5" onkeypress="return isNumberKey(event)" required>' +
                    '</div>' +
                    '</div>';
            }

            document.getElementById('subDivision').innerHTML += '' +
                '<div class="form-group">' +
                '<label class="control-label col-md-3 col-sm-3 col-xs-12">' +
                '</label>' +
                '<div class="col-md-6 col-sm-6 col-xs-12">' +
                '<button id="proceed" type="submit" class="btn1 btn-pink">Proceed</button>' +
                '</div>' +
                '</div>';
        });

        $(document).on("submit", '#formTwo', function (e) {
            var totalQuestions = $('#totalQuestions').val();
            e.preventDefault();
            $('#step-2').hide();
            $('#step-3').show();
            $('#h3').addClass('selected').removeClass('done');
            $('#h2').addClass('done').removeClass('selected');

            counter = 1;
            for (; counter <= parseInt(totalQuestions); counter++) {
                document.getElementById('quizContents').innerHTML += '' +
                    '<div class="form-group">' +
                    '<label cla' +
                    'ss="control-label col-md-2 col-sm-3 col-xs-12">Question ' + counter + '</label>' +
                    '<div class="col-md-8 col-sm-6 col-xs-12">' +
                    '<textarea class="form-control" type="text" rows="3" placeholder="Type your question" id="question-' + counter + '"></textarea>' +
                    '</div>' +
                    '</div>';
                for (subcounter = 1; subcounter <= parseInt($('#subQuestion-' + counter).val()); subcounter++) {
                    document.getElementById('quizContents').innerHTML += '' +
                        '<div class="form-group">' +
                        '<label class="control-label col-md-3 col-sm-3 col-xs-12">Option ' + String.fromCharCode(96 + subcounter) + '</label>' +
                        '<div class="col-md-6 col-sm-6 col-xs-12">' +
                        '<input class="form-control" type="text" placeholder="Option ' + subcounter + '" id="option-' + counter + '-' + subcounter + '">' +
                        '</div>' +
                        '<div class="col-md-3 col-sm-3 col-xs-12 form-check">' +
                        '<label class="form-check-label">' +
                        '<input class="form-check-input" type="radio" name="answer-' + counter + '" value="' + subcounter + '">&nbsp;Answer' +
                        '</label>' +
                        '</div>' +
                        '</div>';
                }
                document.getElementById('quizContents').innerHTML += '' +
                    '<div class="form-group">' +
                    '<label class="control-label col-md-3 col-sm-3 col-xs-12">Mark Alloted</label>' +
                    '<div class="col-md-6 col-sm-6 col-xs-12">' +
                    '<input class="form-control" type="number" min="1" value="1" placeholder="Mark for question ' + counter + '" id="mark-' + counter + '" required>' +
                    '</div>' +
                    '</div>';
            }

            document.getElementById('quizContents').innerHTML += '' +
                '<div class="form-group">' +
                '<label class="control-label col-md-5 col-sm-5 col-xs-12">' +
                '</label>' +
                '<div class="col-md-6 col-sm-6 col-xs-12">' +
                '<button id="finish" type="submit" class="btn1 btn-dark-green">Save</button>' +
                '</div>' +
                '</div>';
        });

        $(document).on("submit", '#formThree', function (e) {
            var totalQuestions = $('#totalQuestions').val();
            e.preventDefault();
            $('#confirmModal').modal();
        });

        $(document).on("click", '#submit', function (e) {
            var totalQuestions = $('#totalQuestions').val();

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: getCookie('csrftoken'),
                name: 'csrfmiddlewaretoken'
            });
            $hiddenInput.appendTo('#submitForm');

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: true,
                name: 'submitPattern'
            });
            $hiddenInput.appendTo('#submitForm');

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: "{{ staffCourseInstance.pk }}",
                name: 'staffCoursePk'
            });
            $hiddenInput.appendTo('#submitForm');

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: $('#unitTestSelection').val(),
                name: 'unitTestNumber'
            });
            $hiddenInput.appendTo('#submitForm');

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: $('#totalQuestions').val(),
                name: 'totalQuestions'
            });
            $hiddenInput.appendTo('#submitForm');


            counter = 1;
            for (; counter <= parseInt(totalQuestions); counter++) {
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: parseInt($('#subQuestion-' + counter).val()),
                    name: 'subQuestion-' + counter
                });
                $hiddenInput.appendTo('#submitForm');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: $('#question-' + counter).val(),
                    name: 'question-' + counter
                });
                $hiddenInput.appendTo('#submitForm');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: parseInt($('#mark-' + counter).val()),
                    name: 'mark-' + counter
                });
                $hiddenInput.appendTo('#submitForm');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: $('input[name="answer-' + counter + '"]:checked').val(),
                    name: 'answer-' + counter
                });
                $hiddenInput.appendTo('#submitForm');

                for (subcounter = 1; subcounter <= parseInt($('#subQuestion-' + counter).val()); subcounter++) {

                    var $hiddenInput = $('<input/>', {
                        type: 'hidden',
                        value: $('#option-' + counter + '-' + subcounter).val(),
                        name: 'option-' + counter + '-' + subcounter
                    });
                    $hiddenInput.appendTo('#submitForm');
                }
            }

            $('#submitForm').submit();
        });

        $('document').ready(function () {
            $('#setQuizTime').click(function () {
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#quizTimeForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: true, name: 'setQuizTime'});
                $hiddenInput.appendTo('#quizTimeForm');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: $('#unitTestSelection').val(),
                    name: 'unitTestNumber'
                });
                $hiddenInput.appendTo('#quizTimeForm');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: '{{ staffCourseInstance.pk }}',
                    name: 'hiddenStaffCoursePk'
                });
                $hiddenInput.appendTo('#quizTimeForm');

                $('#quizTimeForm').submit();
            });
        });

        $(document).on("click", '#confirmQuizDeactivation', function (e) {
            var unitTestNumber = $('#unitTestSelection').val();
            var staffCoursePk = "{{ staffCourseInstance.pk }}";

            $.ajax({
                type: "POST",
                data: {
                    action: "deactivateQuiz",
                    unitTestNumber: unitTestNumber,
                    hiddenStaffCoursePk: staffCoursePk,
                    csrfmiddlewaretoken: getCookie('csrftoken'),
                },
                url: '{% url 'setQuiz' %}',

                success: function (data) {
                    $(function () {
                        new PNotify({
                            title: 'Notice!',
                            text: 'Quiz deactivation Successfull',
                            type: 'notice',
                            styling: 'bootstrap3',
                            mobile: {'styling': true},
                        });
                        $('#activateQuiz').show();
                        $('#deactivateQuiz').hide();
                    });
                }
            });
        });


        $(document).on("change", '#unitTestSelection', function (e) {
            var unitTestNumber = $(this).val();
            var staffCoursePk = "{{ staffCourseInstance.pk }}";

            $.ajax({
                type: "POST",
                data: {
                    action: "unitTestSelection",
                    unitTestNumber: unitTestNumber,
                    hiddenStaffCoursePk: staffCoursePk,
                    csrfmiddlewaretoken: getCookie('csrftoken'),
                },
                url: '{% url 'setQuiz' %}',

                success: function (data) {
                    if (data.avail == 'true') {
                        $('#alertField').show();
                        $('#getQuestionsDiv').hide();
                        if (data.active == 'true') {
                            $('#activateQuiz').hide();
                            $('#deactivateQuiz').show();
                        }
                        else {
                            $('#activateQuiz').show();
                            $('#deactivateQuiz').hide();
                        }
                    }
                    else {
                        $('#getQuestionsDiv').show();
                        $('#alertField').hide();
                        $('#totalQuestions').focus();
                    }
                }
            });
        });

        $(document).on("click", '#deletepattern', function (e) {
            var unitTestNumber = $('#unitTestSelection').val();
            var staffCoursePk = "{{ staffCourseInstance.pk }}";

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: getCookie('csrftoken'),
                name: 'csrfmiddlewaretoken'
            });
            $hiddenInput.appendTo('#deleteForm');

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: true,
                name: 'deletePattern'
            });
            $hiddenInput.appendTo('#deleteForm');

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: unitTestNumber,
                name: 'hiddenUnitTestNumber'
            });
            $hiddenInput.appendTo('#deleteForm');

            var $hiddenInput = $('<input/>', {
                type: 'hidden',
                value: staffCoursePk,
                name: 'hiddenStaffCoursePk'
            });
            $hiddenInput.appendTo('#deleteForm');

            $('#deleteForm').submit();
        });

    </script>

    <script type="text/javascript">

        $('#view_pattern').click(function () {
            unitTestNumber = $('#unitTestSelection').val();
            if (unitTestNumber == '1') {
                window.open('{% url 'viewQuizQuestions' staffCoursePk=staffCourseInstance.pk unitTestNumber=1 %}', '_self');
            }
            else if (unitTestNumber == '2') {
                window.open('{% url 'viewQuizQuestions' staffCoursePk=staffCourseInstance.pk unitTestNumber=2 %}', '_self');
            }
            else if (unitTestNumber == '3') {
                window.open('{% url 'viewQuizQuestions' staffCoursePk=staffCourseInstance.pk unitTestNumber=3 %}', '_self');
            }
        });

        $('#activateQuiz').click(function () {
            unitTestNumber = $('#unitTestSelection').val();
            if (unitTestNumber == '1') {
                window.open('{% url 'activateQuiz' staffCoursePk=staffCourseInstance.pk unitTestNumber=1 %}', '_self');
            }
            else if (unitTestNumber == '2') {
                window.open('{% url 'activateQuiz' staffCoursePk=staffCourseInstance.pk unitTestNumber=2 %}', '_self');
            }
            else if (unitTestNumber == '3') {
                window.open('{% url 'activateQuiz' staffCoursePk=staffCourseInstance.pk unitTestNumber=3 %}', '_self');
            }
        });

    </script>

{% endblock %}